production
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# production

production — A production in a set of EBNF productions

## Synopsis

### Content Model

    production ::=
    (lhs,rhs,constraint*)

### Attributes

Common attributes

## Description

This element is only available if you are using the EBNF Module.

A `Production` is single production in an Extended Backus-Naur Form (EBNF) grammar.

Individual productions have two parts, a left hand side (`lhs`) and a right hand side (`rhs`). Each `NonTerminal` on the left hand side is defined in terms of other non-terminals and literals on the right hand side.

### Parents

These elements contain production: `productionset`.

### Children

The following elements occur in production: `constraint`, `lhs`, `rhs`.

## Examples

For examples, see `productionset` .

Prev | Home | Next
procedure | Up | productionrecap

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.